-------------------------------------------------------------------------------
--
-- Package com o cdigo objeto
--
--   FERNANDO GEHM MORAES         03/agosto/2005
--   NEY LAERT VILAR CALAZANS     18/junho/2006
--   CSAR AUGUSTO MISSIO MARCON  10/abril/2008
--
-------------------------------------------------------------------------------
library IEEE;
use IEEE.Std_Logic_1164.all;

package object_code is

	type ram is array (0 to 255) of std_logic_vector(7 downto 0);
	signal memoria: ram :=
	(
		x"40",
		x"00",
		x"24",
		x"56",
		x"24",
		x"57",
		x"44",
		x"FC",
		x"70",
		x"02",
		x"B4",
		x"06",
		x"44",
		x"FD",
		x"24",
		x"FD",
		x"24",
		x"57",
		x"44",
		x"57",
		x"50",
		x"01",
		x"24",
		x"57",
		x"9C",
		x"02",
		x"8C",
		x"06",
		x"44",
		x"56",
		x"50",
		x"01",
		x"24",
		x"56",
		x"44",
		x"57",
		x"24",
		x"FF",
		x"44",
		x"56",
		x"24",
		x"FE",
		x"44",
		x"FC",
		x"70",
		x"04",
		x"B4",
		x"32",
		x"84",
		x"36",
		x"CC",
		x"03",
		x"84",
		x"12",
		x"F0",
		x"44",
		x"59",
		x"24",
		x"58",
		x"44",
		x"58",
		x"50",
		x"FF",
		x"24",
		x"58",
		x"BC",
		x"12",
		x"44",
		x"59",
		x"50",
		x"FF",
		x"BC",
		x"02",
		x"8C",
		x"FA",
		x"44",
		x"59",
		x"50",
		x"FF",
		x"BC",
		x"02",
		x"8C",
		x"FA",
		x"8C",
		x"E6",
		x"D0",
		x"00",
		x"00",
		x"00",
		x"FF",
		others => x"00"
	);

end object_code;